"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
require("../../../../../../node_modules/.pnpm/screenfull@6.0.2/node_modules/screenfull/index.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_root.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseGetTag.js");
require("../../../../../../node_modules/.pnpm/html2canvas@1.4.1/node_modules/html2canvas/dist/html2canvas.esm.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseClone.js");
const httpEnum = require("../../../../../enums/httpEnum.js");
require("../../../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.js");
require("../../../../../enums/pageEnum.js");
require("../../../../../router/index.js");
require("../../../../../store/modules/designStore/designStore.js");
require("../../../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.js");
require("../../../../../components/GoSkeleton/index.vue.js");
require("../../../../../components/GoLoading/index.js");
require("../../../../../settings/designSetting.js");
const components = require("../../../../../utils/components.js");
require("../../../../../components/Pages/ChartItemSetting/SettingItem.vue.js");
const SettingItemBox = require("../../../../../components/Pages/ChartItemSetting/SettingItemBox.vue.js");
require("../../../../../store/modules/chartEditStore/chartEditStore.js");
const index_d$1 = require("../../../../../packages/index.d.js");
require("../../../../../components/Pages/ChartItemSetting/StylesSetting.vue.js");
const useTargetData_hook = require("../hooks/useTargetData.hook.js");
const index_d = require("./index.d.js");
const runtimeCore_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const reactivity_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const _hoisted_1 = {
  key: 0,
  class: "go-chart-configurations-data"
};
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "index",
  setup(__props) {
    const ChartDataStatic = components.loadAsyncComponent(() => Promise.resolve().then(() => require("./components/ChartDataStatic/index.vue.js")));
    const ChartDataAjax = components.loadAsyncComponent(() => Promise.resolve().then(() => require("./components/ChartDataAjax/index.vue.js")));
    const ChartDataPond = components.loadAsyncComponent(() => Promise.resolve().then(() => require("./components/ChartDataPond/index.vue.js")));
    const { targetData } = useTargetData_hook.useTargetData();
    const selectOptions = [
      {
        label: index_d.SelectCreateDataEnum.STATIC,
        value: httpEnum.RequestDataTypeEnum.STATIC
      },
      {
        label: index_d.SelectCreateDataEnum.AJAX,
        value: httpEnum.RequestDataTypeEnum.AJAX
      },
      {
        label: index_d.SelectCreateDataEnum.Pond,
        value: httpEnum.RequestDataTypeEnum.Pond
      }
    ];
    const isNotData = runtimeCore_esmBundler.computed(() => {
      var _a, _b, _c;
      return ((_a = targetData.value.chartConfig) == null ? void 0 : _a.chartFrame) === index_d$1.ChartFrameEnum.STATIC || typeof ((_c = (_b = targetData.value) == null ? void 0 : _b.option) == null ? void 0 : _c.dataset) === "undefined";
    });
    return (_ctx, _cache) => {
      const _component_n_select = runtimeCore_esmBundler.resolveComponent("n-select");
      return reactivity_esmBundler.unref(targetData) ? (runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock("div", _hoisted_1, [
        runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), {
          name: "请求方式",
          alone: true
        }, {
          default: runtimeCore_esmBundler.withCtx(() => [
            runtimeCore_esmBundler.createVNode(_component_n_select, {
              value: reactivity_esmBundler.unref(targetData).request.requestDataType,
              "onUpdate:value": _cache[0] || (_cache[0] = ($event) => reactivity_esmBundler.unref(targetData).request.requestDataType = $event),
              disabled: isNotData.value,
              options: selectOptions
            }, null, 8, ["value", "disabled"])
          ]),
          _: 1
        }),
        reactivity_esmBundler.unref(targetData).request.requestDataType === reactivity_esmBundler.unref(httpEnum.RequestDataTypeEnum).STATIC ? (runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createBlock(reactivity_esmBundler.unref(ChartDataStatic), { key: 0 })) : runtimeCore_esmBundler.createCommentVNode("", true),
        reactivity_esmBundler.unref(targetData).request.requestDataType === reactivity_esmBundler.unref(httpEnum.RequestDataTypeEnum).AJAX ? (runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createBlock(reactivity_esmBundler.unref(ChartDataAjax), { key: 1 })) : runtimeCore_esmBundler.createCommentVNode("", true),
        reactivity_esmBundler.unref(targetData).request.requestDataType === reactivity_esmBundler.unref(httpEnum.RequestDataTypeEnum).Pond ? (runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createBlock(reactivity_esmBundler.unref(ChartDataPond), { key: 2 })) : runtimeCore_esmBundler.createCommentVNode("", true)
      ])) : runtimeCore_esmBundler.createCommentVNode("", true);
    };
  }
});
exports.default = _sfc_main;
